# Role-Based Login Redirect

![Role-Based Login Redirect](https://via.placeholder.com/800x400?text=Role-Based+Login+Redirect)

**Contributors:** tflux2011  
**Tags:** login, redirect, user roles, first login, redirection, custom redirect  
**Requires at least:** 5.0  
**Tested up to:** 6.2  
**Stable tag:** 1.0.0  
**License:** GPLv2 or later  
**License URI:** http://www.gnu.org/licenses/gpl-2.0.html

Control where users are redirected after logging in based on their user role, creating a more personalized user experience.

## Description

Role-Based Login Redirect gives you complete control over where your users are sent after they log in to your WordPress site. Rather than sending everyone to the same default location, you can create a personalized experience for each user role.

### Key Features

- **Role-Based Redirects**: Configure custom redirect URLs for each user role
- **First-Time Login Redirects**: Set special destinations for users logging in for the first time
- **Post-Registration Redirects**: Control where users go after completing registration
- **Simple Admin Interface**: Easy-to-use settings page with clear options
- **Developer Friendly**: Clean code with hooks for customization

### Use Cases

- Send members to a welcome page or dashboard
- Redirect customers to their account page
- Guide new users through an onboarding process
- Send administrators and editors directly to the content management area
- Create different experiences for free vs premium subscribers

### Why Choose This Plugin?

- Lightweight - does one thing and does it well
- No complex setup - just activate and configure
- Security-focused - follows WordPress best practices
- Actively maintained and supported

## Installation

1. Upload the `role-based-login-redirect` folder to the `/wp-content/plugins/` directory
2. Activate the plugin through the 'Plugins' menu in WordPress
3. Go to Settings > Login Redirect to configure redirect rules

## Frequently Asked Questions

### Will this work with custom user roles?

Yes! The plugin automatically detects all user roles registered in your WordPress site, including custom ones added by other plugins.

### Can I redirect users based on other criteria?

The core plugin focuses on role-based redirects, but we've provided hooks for developers to extend functionality as needed.

### What happens if I redirect administrators away from the admin area?

The plugin includes a warning when configuring administrator redirects to prevent accidentally locking yourself out. Be careful to ensure you can still access your admin area after setting redirects.

### Does this work with membership or e-commerce plugins?

Yes, this plugin works alongside most membership and e-commerce solutions that use standard WordPress user roles.

## Screenshots

1. ![Main settings page](https://via.placeholder.com/800x450?text=Settings+Page)
2. ![Role configuration](https://via.placeholder.com/800x450?text=Role+Configuration)
3. ![Special redirect options](https://via.placeholder.com/800x450?text=Special+Redirect+Options)

## Changelog

### 1.0.0

- Initial release

## Upgrade Notice

### 1.0.0

Initial release

## Support

If you encounter any issues or have feature requests, please use the support forum or submit issues on our GitHub repository.

## Development

Visit our [GitHub repository](https://github.com/tflux2011/role-based-login-redirect) to contribute to the development.

## Credits

Developed by [Tobi Lekan Adeosun](https://yourwebsite.com).
